<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.thinkgem.jeesite.modules.pay.dao.RateDao">

    <select id="getRateEntity" resultType="com.thinkgem.jeesite.modules.pay.entity.RateEntity">
        SELECT
        user_level,
        pay_method,
        pay_channel,
        rate,
        rate_type,
        sigle_price,
        day_limit
        FROM
        youka_rate
        WHERE
        1=1
        <if test="user_level != null and user_level != ''">
            AND user_level = #{user_level}
        </if>
        <if test="pay_channel != null and pay_channel != ''">
            AND pay_channel = #{pay_channel}
        </if>
        LIMIT 1

    </select>


</mapper>